Get blob contents snapshot. Either one of workspace, branch or commit ID needs to be specified.
curl --request GET \
--url https://api.diversion.dev/v0/repos/{repo_id}/blobs/{ref_id}/{path} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/blobs/{ref_id}/{path}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/blobs/{ref_id}/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Repository Manipulation
Get blob contents
Get blob contents snapshot. Either one of workspace, branch or commit ID needs to be specified
GET
/
repos
/
{repo_id}
/
blobs
/
{ref_id}
/
{path}
Get blob contents snapshot. Either one of workspace, branch or commit ID needs to be specified.
Authorizations
OAuth2OAuth2
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
An ID of a workspace, branch or commit.
Required string length:
3 - 128Example:
"example_id"
A path to a file inside the repository.
Example:
"/path/to/file"
Response
File contents
The response is of type file.

